Package org.gitana.platform.client.document

# Interface Document

All Superinterfaces:
  `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Serializable`, `TitleDescription`

All Known Subinterfaces:
  `Application`, `ApplicationDocument`, `Archive`, `Association`, `AssociationDefinition`, `AuthenticationGrant`, `AutoClientMapping`, `BaseNode`, `BillingProviderConfiguration`, `Branch`, `Changeset`, `ChildAssociation`, `Client`, `Cluster`, `ClusterDataStore`, `ClusterDocument`, `CopiedFromAssociation`, `CreatedAssociation`, `DataStore`, `Definition`, `DeletedAssociation`, `Deletion`, `DeployedApplication`, `Directory`, `DirectoryDocument`, `Domain`, `DomainDocument`, `DomainGroup`, `DomainPrincipal`, `DomainUser`, `Email`, `EmailProvider`, `FeatureDefinition`, `Form`, `Group`, `HasBehaviorAssociation`, `HasFormAssociation`, `HasLockAssociation`, `HasMountAssociation`, `HasTranslationAssociation`, `Identity`, `Job`, `LinkedAssociation`, `LogEntry`, `Meter`, `Node`, `NodeList`, `OwnedAssociation`, `Person`, `Plan`, `Platform`, `PlatformDataStore`, `PlatformDocument`, `Project`, `Registrar`, `RegistrarDocument`, `Registration`, `Release`, `Repository`, `RepositoryDocument`, `Rule`, `Settings`, `Stack`, `Tenant`, `TypeDefinition`, `UpdatedAssociation`, `Vault`, `VaultDocument`, `WebHost`, `WebHostDocument`

All Known Implementing Classes:
  `AbstractApplicationDocumentImpl`, `AbstractClusterDataStoreImpl`, `AbstractClusterDocumentImpl`, `AbstractDataStoreImpl`, `AbstractDefinitionImpl`, `AbstractDirectoryDocumentImpl`, `AbstractDomainDocumentImpl`, `AbstractDomainPrincipalImpl`, `AbstractPlatformDataStoreImpl`, `AbstractPlatformDocumentImpl`, `AbstractRegistrarDocumentImpl`, `AbstractRepositoryDocumentImpl`, `AbstractVaultDocumentImpl`, `AbstractWebHostDocumentImpl`, `ApplicationImpl`, `ArchiveImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `AuthenticationGrantImpl`, `AutoClientMappingImpl`, `BaseNodeImpl`, `BillingProviderConfigurationImpl`, `BranchImpl`, `ChangesetImpl`, `ChildAssociationImpl`, `ClientImpl`, `ClusterImpl`, `CopiedFromAssociationImpl`, `CopyJob`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `DeletionImpl`, `DeployedApplicationImpl`, `DirectoryImpl`, `DocumentImpl`, `DomainGroupImpl`, `DomainImpl`, `DomainUserImpl`, `EmailImpl`, `EmailProviderImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `IdentityImpl`, `JobImpl`, `LinkedAssociationImpl`, `LogEntryImpl`, `MeterImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `PlanImpl`, `PlatformImpl`, `ProjectImpl`, `RegistrarImpl`, `RegistrationImpl`, `ReleaseImpl`, `RepositoryImpl`, `RuleImpl`, `SettingsImpl`, `StackImpl`, `TenantImpl`, `TransferExportJob`, `TransferImportJob`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`, `VaultImpl`, `WebHostImpl`

public interface Document extends org.gitana.platform.GitanaObject, TitleDescription

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ID`
`static final String`
`SYSTEM`
`static final String`
`SYSTEM_CREATED_BY`
`static final String`
`SYSTEM_CREATED_ON`
`static final String`
`SYSTEM_MODIFIED_BY`
`static final String`
`SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Calendar`
`dateCreated()`
`Calendar`
`dateModified()`
`String`
`getCreatedBy()`
`String`
`getId()`
Gets the id of the document.
`String`
`getModifiedBy()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSystemObject()`
`boolean`
`isSaved()`
`void`
`reload(com.fasterxml.jackson.databind.node.ObjectNode object)`
Reloads the contents of this document with that of the given json
`void`
`reload(Document document)`
Reloads the node from a persisted document (which represents the node).
`void`
`setId(String id)`
Sets the id of the document.
`void`
`setSaved(boolean saved)`
Marks the object as having been persisted (written to disk).

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

## Field Details

### SYSTEM

static final String SYSTEM

See Also:
  - Constant Field Values

### FIELD_ID

static final String FIELD_ID

See Also:
  - Constant Field Values

### SYSTEM_MODIFIED_ON

static final String SYSTEM_MODIFIED_ON

See Also:
  - Constant Field Values

### SYSTEM_MODIFIED_BY

static final String SYSTEM_MODIFIED_BY

See Also:
  - Constant Field Values

### SYSTEM_CREATED_ON

static final String SYSTEM_CREATED_ON

See Also:
  - Constant Field Values

### SYSTEM_CREATED_BY

static final String SYSTEM_CREATED_BY

See Also:
  - Constant Field Values

## Method Details

### getId

String getId()
Gets the id of the document.

Returns:

### setId

void setId(String id)
Sets the id of the document.

Parameters:
  `id` -

### reload

void reload(Document document)
Reloads the node from a persisted document (which represents the node).

Parameters:
  `document` -

### reload

void reload(com.fasterxml.jackson.databind.node.ObjectNode object)
Reloads the contents of this document with that of the given json

Parameters:
  `object` -

### isSaved

boolean isSaved()

Returns:
  whether the document has been persisted

### setSaved

void setSaved(boolean saved)
Marks the object as having been persisted (written to disk). True indicates the object has been written into the data store. False indicates that the object is in-memory only.

Parameters:
  `saved` -

### dateModified

Calendar dateModified()

### dateCreated

Calendar dateCreated()

### getCreatedBy

String getCreatedBy()

### getModifiedBy

String getModifiedBy()

### getSystemObject

com.fasterxml.jackson.databind.node.ObjectNode getSystemObject()